Page MenuHomePhabricator

Support custom tablatures (supported in Lilypond 2.20)
Open, Stalled, LowestPublic

Description

The extension only supports the default tab format of lilypond, which is meant for guitare.

In order to display bass tabs, I would like to have what is described in lilypond documentation as "custom-tablatures".

http://lilypond.org/doc/v2.19/Documentation/notation/common-notation-for-fretted-strings#custom-tablatures

All this because I'm willing to create a bass course in wikiversity.@Marco de Freitas

Event Timeline

Reedy removed Aklapper as the assignee of this task.Nov 26 2017, 7:52 PM
Reedy added subscribers: Aklapper, Reedy.

lilypond 2.19 isn't stable, and therefore probably won't be on WMF servers for quite a while due to the way debian does packaging

However, if there's any development work that needs doing to support this, it can be done in the meantime...

Reedy renamed this task from Score extension; to Support custom tablatures.Nov 26 2017, 7:52 PM
Aklapper triaged this task as Lowest priority.Nov 27 2017, 11:20 AM
Ebe123 changed the task status from Open to Stalled.Nov 28 2017, 10:44 PM
Ebe123 added a subscriber: Ebe123.

This is the bug report for supporting bass tablatures. It was fixed a year and a half ago.

Lilypond 2.20 (stable) will be released soon enough. Its candidate 2.19.80 is released and we're waiting on translations it seems, as the release is now branched off master.

@Reedy: I do not expect any dev work required for this update. The commands stay unchanged and the syntax is backwards-compatible.

Aklapper renamed this task from Support custom tablatures to Support custom tablatures (supported in Lilypond 2.20).Nov 29 2017, 10:13 AM
Base added a subscriber: Base.EditedDec 2 2017, 12:14 PM

All the examples from

http://lilypond.org/doc/v2.19/Documentation/notation/common-notation-for-fretted-strings#custom-tablatures

Seem to work for me: https://en.wikiversity.org/wiki/User:Base/Pond (except for probably the last one)
What am I doing wrong?

Base added a comment.Dec 2 2017, 12:43 PM

Ah and the last example is not present in http://lilypond.org/doc/v2.18/Documentation/notation/common-notation-for-fretted-strings#custom-tablatures so that is probably the only thing added in 2.19 regarding this

Par contre, certaines techniques plus avancées ne sont pas encore disponibles (comme des micro-intervalles, des cordes additionnelles, ou de nouvelles têtes de note). Il va falloir attendre pour de telles fonctions.

Ebe123 moved this task from Backlog to Patch merged upstream on the Upstream board.